Add a software to a task type of a project

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
POST /data/projects/{project_id}/task-types/{task_type_id}/softwares

Add a software to a task type of a project. The project must use the task type. The software must not be archived. If the link exists, the route returns it. Administrators and managers of the project can use this route. A supervisor of the project can use it for the task types of their departments. A supervisor with no department can use it for every task type.

Path parameters

  • project_id string(uuid) Required

    Project unique identifier

  • task_type_id string(uuid) Required

    Task type unique identifier

application/json

Body Required

  • software_id string(uuid) Required

    Software unique identifier

Responses

  • 201 application/json

    The link between the task type and the software

    Hide response attributes Show response attributes object
    • project_id string(uuid)

      Project unique identifier

    • task_type_id string(uuid)

      Task type unique identifier

    • software_id string(uuid)

      Software unique identifier

  • 400

    The project does not use the task type, or the software is archived

  • 403

    You cannot change the softwares of this task type

  • 404

    The software does not exist

POST /data/projects/{project_id}/task-types/{task_type_id}/softwares
curl \
 --request POST '/api/data/projects/a24a6ea4-ce75-4665-a070-57453082c250/task-types/b35b7fb5-df86-5776-b181-68564193d360/softwares' \
 --header "Authorization: $API_KEY" \
 --header "Content-Type: application/json" \
 --data '{
  "software_id": "c46c8fc6-ef97-4887-a292-79675204e471"
}'
Request examples
{
  "software_id": "c46c8fc6-ef97-4887-a292-79675204e471"
}
Response examples (201)
{
  "project_id": "a24a6ea4-ce75-4665-a070-57453082c250",
  "task_type_id": "b35b7fb5-df86-5776-b181-68564193d360",
  "software_id": "c46c8fc6-ef97-4887-a292-79675204e471"
}